Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 539948 - Review Request: fqterm ---BBS client based on Qt library in linux
Summary: Review Request: fqterm ---BBS client based on Qt library in linux
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: http://code.google.com/p/fqterm/
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-11-21 18:10 UTC by Chen Lei
Modified: 2011-09-02 15:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-02 15:09:12 UTC


Attachments (Terms of Use)
fqterm-0.9.5.2-0.fc12.src.rpm (deleted)
2009-11-21 18:11 UTC, Chen Lei
no flags Details
fqterm.spec (deleted)
2009-11-21 18:16 UTC, Chen Lei
no flags Details

Description Chen Lei 2009-11-21 18:10:19 UTC
BBS client writtern in QT4

FQTerm is one of the most widely used BBS client in China, it
supports telnet/ssh1/ssh2 protocols and can process ANSI control
sequences. It can be used to login BBS sites or *NIX hosts.

Almost all the BBSes in Greater China Region are in BIG5 or GBK
encoding. So FQTerm only support these two encodings and ASCII.

Comment 1 Chen Lei 2009-11-21 18:11:28 UTC
Created attachment 372777 [details]
fqterm-0.9.5.2-0.fc12.src.rpm

Comment 2 Chen Lei 2009-11-21 18:16:48 UTC
Created attachment 372778 [details]
fqterm.spec

Comment 3 Todd Zullinger 2009-11-21 18:24:57 UTC
Please see http://fedoraproject.org/wiki/PackageReviewProcess for setting the proper component and flags for a review.

Comment 4 Rex Dieter 2009-11-22 00:23:17 UTC
small suggestion, leave out "based on Qt library on linux" from package description/summary.  We already know it's linux, and 99% of users won't need to know or care what toolkit the app is written for.

Comment 5 Chen Lei 2009-11-22 06:13:37 UTC
Hello, thanks for the suggestion.
I modified the package description/summary and fix the SPEC file(%cmake -> %cmake-DBUILD_SHARED_LIBS:BOOL=OFF ) for 'requires' problem.
SPEC file: http://dl.dropbox.com/u/1338197/1/fqterm-0.9.5.2-1.fc12.src.rpm
SRPM file: http://dl.dropbox.com/u/1338197/1/fqterm.spec

Comment 8 Rex Dieter 2010-04-28 14:59:18 UTC
I can review this,

naming: ok

licensing: ok, though please confirm with upstream, sources contain GPLv2+ (or later) clause.

runtime: ok, though I'd suggest adding a runtime dependency,
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

$ rpmlint *.rpm x86_64/*.rpm
fqterm.src: W: spelling-error %description -l en_US login -> loin, logic, lo gin
fqterm.src: W: spelling-error %description -l en_US encodings -> encoding, encoding s, encodes
fqterm.src: W: invalid-url Source0: http://fqterm.googlecode.com/files/fqterm-0.9.6.3.tar.gz HTTP Error 404: Not Found
fqterm.x86_64: W: spelling-error %description -l en_US login -> loin, logic, lo gin
fqterm.x86_64: W: spelling-error %description -l en_US encodings -> encoding, encoding s, encodes
fqterm.x86_64: E: backup-file-in-package /usr/share/FQTerm/userconf/address.cfg.orig
fqterm.x86_64: E: non-executable-script /usr/share/FQTerm/fqterm.sh 0644L /bin/sh
fqterm.x86_64: E: backup-file-in-package /usr/share/FQTerm/userconf/language.cfg.orig
fqterm.x86_64: E: backup-file-in-package /usr/share/FQTerm/userconf/fqterm.cfg.orig
3 packages and 0 specfiles checked; 4 errors, 5 warnings.

These seem mostly harmless, though probably should omit the *.orig files from packaging.

sources: ok
$ md5sum *.gz
d9415c20eb1df1be168a465025e41fbc  fqterm-0.9.6.3.tar.gz

.desktop file: ok, though I see you're using legacy/deprecated /usr/share/pixmaps for icon.  I'd recommend using the newer, themeable /usr/share/icons  instead.

%build: please document why -DBUILD_SHARED_LIBS:BOOL=OFF  is used.  a short .spec comment is sufficient

macros: ok

scriptlets: ok



please address items raised here, and we'll be close to approval.

Comment 9 Chen Lei 2010-04-29 02:44:12 UTC
Thanks for review.

Update to 0.9.6.8
SPEC: http://dl.dropbox.com/u/1338197/1/fqterm.spec
SRPM: http://dl.dropbox.com/u/1338197/1/fqterm-0.9.6.8-1.fc12.src.rpm    

rpmlint fqterm-0.9.6.8-1.fc12.i686.rpm fqterm-debuginfo-0.9.6.8-1.fc12.i686.rpm 
fqterm.i686: W: spelling-error %description -l en_US login -> loin, logic, lo gin
fqterm.i686: W: spelling-error %description -l en_US encodings -> encoding, encoding s, encodes
fqterm.i686: E: backup-file-in-package /usr/share/FQTerm/userconf/address.cfg.orig
fqterm.i686: E: backup-file-in-package /usr/share/FQTerm/userconf/language.cfg.orig
fqterm.i686: E: backup-file-in-package /usr/share/FQTerm/userconf/fqterm.cfg.orig

.orig file are useful in this package, they are backup files for user configurable data.



See /usr/share/FQTerm/userconf/README.txt

Comment 10 Rex Dieter 2010-08-09 21:55:00 UTC
OK, all looks good, APPROVED.

Comment 11 Rex Dieter 2011-09-02 15:09:12 UTC
No response marking as stalled review per,
http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

please to ping back and re-open if you want to pursue this further.


Note You need to log in before you can comment on or make changes to this bug.